/*
Victor Ng
vn6216@albany.edu
csi402 Spring 2006

*/


#include <stdio.h>



pNode readfile(FILE * finp);
/*
pre: finp is a valid pointer to an input file.
post: builds a binary tree based on the input read from finp.
returns pointer the root node of such tree 

*/

int countnodes(pNode * ptrNode);
/*
pre: ptrNode points to the root of a binary tree 
post: returns a count of the number of nodes by recursion
*/

int height (pNode * ptrNode);
/*
pre: ptrNode points to the root of a binary tree 
post: returns a count of the height of the tree by recursion
*/

int countleaves (pNode * ptrNode);
/*
pre: ptrNode points to the root of a binary tree 
post: returns a count of the number of leaves of the tree by recursion
*/

void output(FILE * foutp, pNode * ptrNode);
/*
pre: ptrNode points to the root of a binary tree, foutp points to a 
valid output file
post: outputs the information of the binary tree pointing to by ptrNode
*/


