/*
Victor Ng
vn6216@albany.edu
csi402 Spring 2006

*/


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#include "bprototype.h"
#include "bconstants.h"
/* #include "bstruct_def.h" */
/* #include "bfunctions.c" */


int main(int argc, char *argv[]) 
{
/* pointers to commands for use with 'strcmp' */
static const char * LISTREL  = "listrel";   /* the listrel command */
static const char * SCHEMA   = "schema";    /* the schema command */
static const char * QUERY    = "query";     /* the query command */
static const char * QUIT     = "quit";      /* the quit command */
static const char * HELP     = "help";      /* the help command */
    
    
    FILE * finp; /* pointer to file to be read */
    /*relT rTABLE[MAXREL-1];*/ /* relations table */
    int relations; /* temporary storage */
    int i=0, j=0, k=0; /* counters */
    char cmd[MAXCMD]; /* for reading the command */
    char ch;
    
    /* check for command line argument having right amount of arguments */
    if ( (argc == NUMARG) )
    ;
    else
    {   /* number of arguments or commands are not correct */
        fprintf(stderr, "Invalid number of arguments. \n");  /* prints error message */
        exit(1); /* exit due to incorrect number of arguments */
    };
    
    if ( (finp = fopen(argv[1], "r")) == NULL ) 
    {   /* open failed */
      fprintf(stderr, "Could not open file '%s' for reading. \n", argv[1]); /* prints error */
      exit(1); /*exit due to failure in opening the file */
    };
    relations = readfile(finp); /* read config file into struct */

/* start of menu */
do
{
  i=0, j=0, k=0; /* reset counters */
  printf("p1b> ");   /* print prompt */
  scanf("%s", cmd);  /* get user input */
  
  if (strcmp( cmd, LISTREL ) == 0 ) 
  { /* cmd is listrel */
   listrel(relations);
  }
  else if (strcmp( cmd, SCHEMA ) == 0 )
  { /* cmd is schema */
    schema(relations);
  }
  else if (strcmp( cmd, QUERY ) == 0 )
  { /* cmd is query */
  while ( (ch = getchar())!= '\n' )
  ; /* clearing buffer */
    query(relations);
  }
  else if (strcmp( cmd, QUIT ) == 0 )
  { /* cmd is quit */
    break; /* break to end of  loop */  
  }
  else if (strcmp( cmd, HELP ) == 0 )
  { /* cmd is help */  
  }
  else 
  { /* cmd is invalid */
      printf( "Err: Invalid command '%s'. \n", cmd); /* print error */  
  };
  printf("\n");

}while ( strcmp( cmd, QUIT ) != 0 ); /* loop if cmd is not 'quit' */
printf( "Exiting on request by User. \n \n"); /* print quit msg */
return 0;/* end of program */
}
