/*
Victor Ng
vn6216@albany.edu
csi402 Spring 2006

*/


#include <stdio.h>
#include <stdlib.h>

#include "aconstants.h"
#include "astruct_def.h"
#include "aprototype.h"


//#include "afunctions.c"

int main(int argc, char *argv[]) 
{
    FILE * finp; // pointer to file to be read 
    FILE * foutp; // pointer to output file 
    pNode pHeader;
    
    // check for command line argument having right amount of arguments 
    if ( (argc == NUMARG) )
    ;
    else
    {   // number of arguments or commands are not correct 
        fprintf(stderr, "Invalid number of arguments. \n");  // prints error message 
        exit(1); // exit due to incorrect number of arguments 
    };
        
        // opening the input file 
        if ( (finp = fopen(argv[1], "r")) == NULL ) 
        {   // open failed 
            fprintf(stderr, "Could not open file '%s' for reading. \n", argv[2]); // prints error 
            exit(1); // exit due to failure in opening the file 
        };
        // opening the output file 
        if ( (foutp = fopen(argv[2], "w")) == NULL ) 
        {   // open failed 
            fprintf(stderr, "Could not open file '%s' for writing. \n", argv[3]); // prints error 
            exit(1); // exit due to failure in opening the file 
        };
    
    pHeader = readfile(finp);
    output(foutp, &pHeader);
    
    
  return 0;
};
