/*
Victor Ng
vn6216@albany.edu
csi402 Spring 2006

*/


#include <stdio.h>

void start();
/*
pre: global variables are defined
post: initalizes the opcode table, and clears the memory space to hold 0's
*/

void read(FILE * finp, FILE * flst);
/*
pre: finp is a pointer to the source file, flst is valid pointer to the 
  output .lst file.
post: reads the source file in 2 parts, and parses the source and attempts to 
  read the source and produce the .lst file, objectfile memory and detect 
  errors. then closes the flst file.
*/

int searchtree (pNode * ptrNode, char * argument);
/*
pre: ptrNode points the root of a binary tree. argument is the label that needs
  to be found.
post: searches the binary tree by recursion and returns the pc value of the 
  label. if label not found, returns -1.
*/

void printtree (pNode * ptrNode, FILE * flst);
/*
pre: ptrNode is the root of the binary tree, flst is valid pointer to the 
  output .lst file.
post: prints the binary tree of labels in lexigraphical order. and their 
  pc value.
*/

void printerror (pErrorLine * ptrNode, FILE * ferr);
/*
pre: ptrNode is pointer the start of link list of errors. ferr is valid pointer
  to the .err file.
post: read thru the link list and prints the errors detected, and their line
  number detected at.
*/

void printobj (FILE * fobj);
/*
pre: fobj is valid pointer to the.obj file.
post: out puts the obj file in memory.
*/



;
