/*
Victor Ng
vn6216@albany.edu
csi402 Spring 2006

*/


#include <stdio.h>


void readcfgfile( FILE * finp );
/*
pre: finp is a valid pointer to a correctly formated config file
post: reads the config file and saves the data to the global variables
*/

void initobj ();
/*
pre: none
post: initializes the objout memory to zero's
*/

int searchnodes( char * nameread );
/*
pre: nameread is a pointer to a string
post: searches the link list for a node with the name matching nameread. if
  found, returns a value of zero. else, if not found, returns a value of 1.
uses: to check for multipily defined symbol
*/

unsigned int findaddr( char * nameread );
/*
pre: nameread is a pointer to a string
post: searches the link list for a node with the name matching nameread,
  if found, returns the absolute address value of such node, else prints 
  error message for undefined reference to label.
*/

void insertnode (char * nameread, unsigned int addr);
/*
pre: nameread is a pointer to a string and addr is the absolute address
post: creates a new node and inserts the node at the end of the linked list. 
  if no nodes exists, pHeader will be changed to pointing to such new node.
  the name and address is saved to the node.
*/

void checkaddr (char * fname, unsigned int addr);
/*
pre: fname is the current object file name being processed, addr is an address
post: checks if the address is within 0-65535, if not, print error message and
  exit(1);
*/

void writetextbits(long int textbits, unsigned int addr);
/*
pre: textbits is the textbits that needs to be written, addr is the address at
  which the textbits are to be written
post: writes the textbits to the address addr of the object output table
*/

void modobj( unsigned int targetaddr, unsigned int foundaddr);
/*
pre: targetaddr is the address which will be modified, foundaddr is the offset
  which will be modified by
post: modifies object output table, and adds foundaddr to targetaddress.
*/

void readobjects ( FILE * foutp );
/*
pre: foutp is a valid pointer to the output module
post: outputs the module
*/


;
