/*
Victor Ng
vn6216@albany.edu
csi402 Spring 2006

*/


#include <stdio.h>
#include <stdlib.h>

#include <unistd.h> // read, write
#include <fcntl.h> // open, close 

#include "bconstants.h"
//  #include "bstruct_def.h"
#include "bexterns.h"

void readarchivefile ( int filecount, int finp )
{
  pNode pCurrent; // current node pointer
  int foutp; // file out
  int i=0, j=0; // counters
  char buffer; // buffer char
  
  pCurrent = pHeader;
  while ( (i < filecount) && (pCurrent != NULL) )
  {
    if ( (foutp = open(pCurrent->filename, O_WRONLY | O_CREAT, PERM)) == -1 ) 
    { // open failed 
      fprintf(stderr, "Could not open file '%s' for writing. \n", pCurrent->filename); // prints error 
      exit(1); // exit due to failure in opening the file 
    };
    
    j=0; // reset counter j
    while (j < pCurrent->filesize)
    {
      read(finp, &buffer, 1); // read 1 byte from finp
      write (foutp, &buffer, 1); // write 1 byte into foutp
      j++; // increment counter j
    }
    close(foutp); // close foutp;
    if (pCurrent->next != NULL) // checking for next node in list
      pCurrent = pCurrent->next; // next node exists
    else // end of list
      pCurrent = NULL; // pCurrent is NULL
    i++; // increment counter i
  };// end of file output loop
  
};


void readinfile( int foutp, int finp )
{
  char buffer; // buffer char
  int nread; // number of bytes read
  
  while( (nread = read(finp, &buffer, 1)) == 1 ) // read 1 byte from finp
  { // while finp is not end of file
    write (foutp, &buffer, 1); // write 1 byte into foutp
  };
  
};




