/*
Victor Ng
vn6216@albany.edu
csi402 Spring 2006

*/


#include <stdio.h>

void fatal_exit();
/*
pre: the fifo to client is open for reading
post: attempts to send "exit" signal to client, if failed, outputs error 
  message. closes the fifos to and from the client program on the server side.
*/

void readdb (char * filename);
/* 
pre: 'filename' is the name of the file containing the inital database (inidb)
post: opens the inidb file and reads the initial databse.
*/

int findcourseid( int courseid );
/*
pre: 'courseid' is the id of a course
post: searches the database and looks for a courseid that matches the one 
  specified, if it exists, returns 1, else returns 0 for non-existance.
*/

int getcoursecredit( int courseid );
/*
pre: 'courseid' is the id of a course
post: searches the database and looks for a courseid that matches the one 
  specified, if it exists, returns the credit of such course, else 
  returns -1 for non-existance.
*/

void processfifo();
/*
pre: the fifo has been read into the global struct and ready for process, 
  and not an exit command sent by the client
post: processes the command with it's parameters on the database, and replies to
  the client thru fifos with the results of the specified command and parameters
*/

void printdb (char * filename);
/*
pre: 'filename' is the name of the file that will be used for outputting the 
  database (finaldb)
post: outputs the databse in memory to the specified file.
*/

;
